// config.h for D1M-WX1_IoT-APRS_Franklin42.ino

// This configuration file should reside in the same Arduino
// directory as the weather station file D1M-WX1_IoT-APRS_Delta.ino.

// *******************************************************
// ********************* WIFI LOGON **********************
// *******************************************************

// ENTER YOUR WI-FI SSID
// YOU MUST USE 2.4 GHz WiFi, NOT 5 GHz
const char WIFI_SSID[] = "your_wifi_ssid";

// ENTER YOUR WI-FI PASSWORD
const char WIFI_PASSWORD[] = "your_wifi_password";

// *******************************************************
// ****************** STATION FACTORS ********************
// *******************************************************

// If you have performed the voltage calibration steps, enter
// the voltage you measured on your digital multimeter and
// the voltage reported by the ADC on the serial monitor.
// Calibration sketch is D1M-WX1_Calibration.ino
// If you have not performed the calibration, do not change 
// the default values. They should be equal.

const float dmmVoltage = 1.0;  // voltage displayed on your digital multimeter 
const float adcVoltage = 1.0;  // voltage reported by the D1 Mini Analog to Digital Converter

// Enter your station altitude in meters
// https://www.distancesto.com/elevation.php
const float STATION_ELEV = 0.0;

// Enter the update interval in seconds
// The interval must be longer than 15 seconds
// Use 60 seconds for testing, 300 or 600 for normal use
const long SLEEP_INTERVAL = 600;

// *******************************************************
// ******************** THINGSPEAK ***********************
// *******************************************************

// Open a ThingSpeak account at www.thingspeak.com
/* Define fields:
 *  Field 1 Temperature °C
 *  Field 2 Humidity
 *  Field 3 Time Awake
 *  Field 4 Sea Level Pressure
 *  Field 5 Light Intensity
 *  Field 6 Cell Voltage
 *  Field 7 RSSI
 *  Field 8 Temperature °F
 *  Show Location checked
 *  Show Status checked
 */

// ThingSpeak Channel ID & API Write Key
const long CHANNEL_ID = your_channel_id;
const char API_WRITE_KEY[] = "your_api_write_key";

// *******************************************************
// ******************** APRS-IS **************************
// *******************************************************

// Enter your station location in decimal degrees
// For example: lat/lon for Washington Monument is 38.8908031, -77.0338225
// Find your location and elevation at
// https://www.distancesto.com/elevation.php
// Use negative numbers for South latitude and West longitude:
const float latitude = 38.8908031;
const float longitude = -77.0338225;

// define your callsign and passcode
// recommend to use SSID -13 for weather stations
// see http://www.aprs.org/aprs11/SSIDs.txt
const String APRScallsign = "your_call-13";

// for passcode www.george-smart.co.uk/aprs/aprs_callpass/
// or http://n5dux.com/ham/aprs-passcode/
const char APRSpasscode[] = "your_passcode";
